MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
LTIOverrideDelegates< BASE > Struct Template Reference

`#include <lti_imageStageOverrides.h>`

Inheritance diagram for LTIOverrideDelegates< BASE >:
[legend]
Collaboration diagram for LTIOverrideDelegates< BASE >:
[legend]

## Public Member Functions
void | setProgressDelegate (LTIProgressDelegate *delegate)
LTIProgressDelegate * | getProgressDelegate () const
void | setInterruptDelegate (LTIInterruptDelegate *delegate)
LTIInterruptDelegate * | getInterruptDelegate () const

## Additional Inherited Members
Protected Member Functions inherited from LTIOverrideDelegatesData
| LTIOverrideDelegatesData ()
Protected Attributes inherited from LTIOverrideDelegatesData
LTIProgressDelegate * | m_progressDelegate
LTIInterruptDelegate * | m_interruptDelegate

## Detailed Description

### template<class BASE>
struct LTIOverrideDelegates< BASE >

Definition at line 454 of file lti_imageStageOverrides.h.

## Member Function Documentation

template<class BASE>

LTIInterruptDelegate* LTIOverrideDelegates< BASE >::getInterruptDelegate | ( | ) |  | const
| inline

Definition at line 472 of file lti_imageStageOverrides.h.

template<class BASE>

LTIProgressDelegate* LTIOverrideDelegates< BASE >::getProgressDelegate | ( | ) |  | const
| inline

Definition at line 462 of file lti_imageStageOverrides.h.

template<class BASE>

void LTIOverrideDelegates< BASE >::setInterruptDelegate | ( | LTIInterruptDelegate * | delegate) |  |
| inline

Definition at line 467 of file lti_imageStageOverrides.h.

template<class BASE>

void LTIOverrideDelegates< BASE >::setProgressDelegate | ( | LTIProgressDelegate * | delegate) |  |
| inline

Definition at line 457 of file lti_imageStageOverrides.h.

The documentation for this struct was generated from the following file:

- lti_imageStageOverrides.h

LizardTech